Skip to main content
GET
/
v1
/
todo
/
{todo_id}
Todo 상세
curl --request GET \
  --url https://openapi.pluuug.com/v1/todo/{todo_id} \
  --header 'X-API-Key: <api-key>' \
  --header 'X-Signature: <api-key>'
{
  "id": 123,
  "inquiry": {
    "id": 123,
    "name": "<string>"
  },
  "type": "M",
  "dueDate": "2023-12-25",
  "action": "<string>",
  "dDay": 123,
  "created": "2023-11-07T05:31:56Z",
  "inCharge": {
    "id": 123,
    "nickname": "<string>",
    "email": "<string>",
    "isActive": true,
    "grade": {
      "id": 123,
      "title": "<string>"
    }
  },
  "completedInCharge": {
    "id": 123,
    "nickname": "<string>",
    "email": "<string>",
    "isActive": true,
    "grade": {
      "id": 123,
      "title": "<string>"
    }
  },
  "dueTime": "<string>",
  "actionHistory": "<string>",
  "isComplete": true,
  "completedAt": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-Key
string
header
required
X-Signature
string
header
required

HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다. 서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.

Path Parameters

todo_id
integer
required

Response

200 - application/json
id
integer
required
inquiry
object
required

의뢰

type
enum<string>
required

타입

  • M - 미팅
  • CA - 전화
  • MS - 메시지
  • E - 기타
Available options:
M,
CA,
MS,
E
dueDate
string<date>
required

예정일

action
string
required

액션

Maximum string length: 2048
dDay
integer
required

D-Day

created
string<date-time>
required

생성일시

inCharge
object

담당자

completedInCharge
object

완료한 담당자

dueTime
string<time> | null

예정 시간

actionHistory
string | null

액션 히스토리

isComplete
boolean

완료 여부

completedAt
string<date-time> | null

완료 일시